# ansible-raspberrypi-kiosk

Ansible role to setup a Raspberry Pi in kiosk mode

## Deploy

1. Go to the [download page for the OS](https://www.raspberrypi.com/software/) and grab the **lite** version of the Raspberry Pi OS. Flash the OS on the SD card.
2. Insert the SD card in your Raspberry Pi, boot it, and go through the first-time-setup. Use `pi` as the username and `raspberry` as the password
3. Login and run `sudo systemctl enable ssh.service` to start the ssh server on boot.
4. If desired, `sudo raspi-config` and apply overclock and/or tweak the size of the swap.
5. Reboot your Raspberry Pi.
6. On your main machine, run `ansible-playbook site.yaml -i hosts` at the root of this repository. This can be very slow depending on the model of your Pi.
7. Once the playbook has finished running, your Raspberry Pi will reboot in kiosk mode.